using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SingleInstance
{
    public partial class MainForm : Form
    {
        List<Point> ptList = new List<Point>();

        public MainForm()
        {
            InitializeComponent();
        }

        private void MainForm_MouseDown(object sender, MouseEventArgs e)
        {
            ptList.Add(new Point(e.X, e.Y));
            Invalidate(true);
        }

        private void MainForm_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Size sz = new Size(50, 50);
            foreach (Point pt in ptList)
            {
                g.DrawRectangle(Pens.Black, new Rectangle(pt, sz));
            }
        }

        public void NewInstance(object sender, EventArgs e)
        {
            ptList.Add((Point)sender);
            Invalidate(true);
        }
    }
}